Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1282933

Summary: mutter positions windows differently under wayland
Product: [Fedora] Fedora Reporter: Bojan Smojver <bojan>
Component: mutterAssignee: Florian Müllner <fmuellner>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 24CC: fmuellner, mchalupa, otaylor, walters
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-23 02:40:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description Bojan Smojver 2015-11-17 20:24:14 UTC
Description of problem:
Pure guess in terms of component here, but under wayland, when new windows are opened, they are not positioned in the same way on the desktop as they would be under x11.

Under x11, the window manager appears to be calculating how many windows would fit and then puts the first such windows into the "optimal" position on the top left. For instance, an empty workspace where Gnome terminal is started will get that window in upper left position in a way that would fit maximum number of terminals, but with top and left margin adjusted appropriately. Under wayland, the window is simply positioned in the upper left corner with no margins.

Version-Release number of selected component (if applicable):
mutter-3.18.1-4.fc23.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Run Gnome under wayland instead of x11.


Actual results:
Different window positioning.

Expected results:
Should be the same?

Additional info:
Eventually, the mouse cursor started playing up under wayland and gnome-shell crashed once, so I would not be able to use it for my session, but this problem is also worth reporting.

Comment 1 mchalupa 2016-03-14 13:06:36 UTC
fix for this was merged upstream (99c0b82b15fb8)

Comment 2 Bojan Smojver 2016-03-15 00:16:50 UTC
(In reply to mchalupa from comment #1)
> fix for this was merged upstream (99c0b82b15fb8)

I would be great if it could be backported to F-23. Seems like a one-liner.